#	NetHack Copyright (c) NetHack PC Development Team 1993 - 2006
#	NetHack may be freely redistributed.  See license for details.
#
# $NHDT-Date: 1524684112 2018/04/25 19:21:52 $  $NHDT-Branch: NetHack-3.6.0 $:$NHDT-Revision: 1.12 $
#
# A '#' at the beginning of a line means the rest of the line is a comment.
#
# Some options MUST be set in this file, other options can be toggled while
# playing.  For a list of options available see the <opthelp.> file.  If
# the game plays slowly you might notice some improvement by setting
# !time and !showexp, which will reduce screen I/O somewhat.
#
# To change the configuration, comment out the unwanted lines, and
# uncomment the configuration you want.

# *** OPTIONS ***
#
# The three options on this line should be used for most setups.  
# If your machine isn't very IBM-compatible, and NetHack doesn't work, 
# try commenting out this line.
OPTIONS=rawio,BIOS,symset:IBMGraphics_2,roguesymset:RogueEpyx

# Here is a suggested symbol set for use by blind NetHack players
#OPTIONS=symset:plain

# To use VGA graphical tiles on an MS-DOS PC with VGA or better,uncomment 
# this:
#OPTIONS=video:autodetect
# And to explicitly set the resolution:
#OPTIONS=video_width:1024
#OPTIONS=video_height:768


# If your machine is NEC PC-9800, use:
#OPTIONS=rawio,BIOS,video:default
# If you use an Atari and want tty use:
#OPTIONS=windowtype:tty,rawio,BIOS


# Some options to set personal preferences.  Uncomment and change these to
# suit your personal preference.  If several people are to use the same
# configuration, options like these should not be set.
#
#OPTIONS=name:Janet,role:Valkyrie,race:Human,gender:female,align:lawful
#OPTIONS=dogname:Fido,catname:Morris,fruit:guava
#OPTIONS=horsename:Silver
#OPTIONS=autopickup,pickup_types:$"=/!?+
#OPTIONS=packorder:")[%?+/=!(*0_`
#OPTIONS=scores:10 top/2 around/own
#OPTIONS=nolegacy,noverbose
#OPTIONS=menustyle:traditional

# If you wish to change the symbol used to display boulders use:
OPTIONS=boulder:0
#
# General options.  You might also set "silent" so as not to attract
# the boss's attention.
#
# number_pad option can have an optional value of 0 (off), 1 (on), 
# or 2(on,legacy-mode) which causes 5='g', alt-5='G', alt-0='I'
OPTIONS=time,noshowexp,number_pad:2,lit_corridor

# Treat space bar as rest. Warning: may be dangerous for new players.
# OPTIONS=rest_on_space

#
# If you want to get rid of "use #quit to quit..." use:
#OPTIONS=suppress_alert:3.3.1
#
#
# *** LOCATIONS ***
# Some platforms allow you to change the location where various things are kept.
# IMPORTANT: If you change any of these locations, the directories they
# point at must exist.  NetHack will not create them for you.
#
# The default location for everything.
# Note: On Windows HACKDIR defaults to the location 
#       of the NetHack.exe or NetHackw.exe file so
#       setting HACKDIR below to override that is 
#       not usually necessary or recommended.
#HACKDIR=c:\games\nethack
#
# The location that level files in progress are stored (default=HACKDIR, writeable)
#LEVELDIR=c:\nethack\levels
#
# The location where saved games are kept (default=HACKDIR, writeable)
#SAVEDIR=c:\nethack\save
#
# The location that bones files are kept (default=HACKDIR, writeable)
#BONESDIR=c:\nethack\save
#
# The location that file synchronization locks are stored (default=HACKDIR, writeable)
#LOCKDIR=c:\nethack\levels
#
# The location that a record of game aborts and self-diagnosed game problems
# is kept (default=HACKDIR, writeable)
#TROUBLEDIR=c:\nethack\trouble
#

# ================================================
# DEC Rainbow/ANSI line-drawing character set:
#
# If you have compiled with TERMLIB, merely set the DECgraphics option as
# above.  NetHack will then switch into the VTxxx line-drawing character set
# (aka ANSI ruling character set '0') for dungeon characters.  If you don't
# like the selections, you can make up your own via the SYMBOLS keyword,
# adding 128 to the value of any line-drawing character you want to use.
# (But you should still set symset:DECgraphics to get the correct processing.)

# =================================================
# *** VIDEOCOLORS AND VIDEOSHADES ***
#
# While playing on NEC PC-9800, default game display may be difficult to
# read.  Try following setting.
#
#OPTIONS=videocolors:4-2-6-1-5-3-4-2-6-1-5-3,videoshades:normal-normal-normal
#
# DEC Rainbows will hang if rawio is set, so they should instead use:
#OPTIONS=BIOS,DECgraphics

# Colored menus.
#OPTIONS=menucolors
# Syntax is: MENUCOLOR="string_to_match"=color&attribute
#  Colors: black, red, green, brown, blue, magenta, cyan, gray, orange,
#          lightgreen, yellow, lightblue, lightmagenta, lightcyan, white.
#  Attributes: none, bold, dim, underline, blink, inverse.
#MENUCOLOR=" blessed "=green
#MENUCOLOR=" holy "=green
#MENUCOLOR=" cursed "=red
#MENUCOLOR=" unholy "=red
#MENUCOLOR=" cursed .* \(being worn\)"=orange&underline

# statusbar highlighting
#OPTIONS=hitpointbar
#OPTIONS=hilite_status:hitpoints/100%/gray&normal
#OPTIONS=hilite_status:hitpoints/<100%/green&normal
#OPTIONS=hilite_status:hitpoints/<66%/yellow&normal
#OPTIONS=hilite_status:hitpoints/<50%/orange&normal
#OPTIONS=hilite_status:hitpoints/<33%/red&bold
#OPTIONS=hilite_status:hitpoints/<15%/red&inverse
#OPTIONS=hilite_status:power-max/up/green
#OPTIONS=hilite_status:power-max/down/red
#OPTIONS=hilite_status:armor-class/down/green
#OPTIONS=hilite_status:armor-class/up/red
